Bug 1027395 - [abrt] telepathy-mission-control-5.16.0-2.fc20: g_slist_prepend: Process /usr/libexec/mission-control-5 was killed by signal 11 (SIGSEGV)
[abrt] telepathy-mission-control-5.16.0-2.fc20: g_slist_prepend: Process /usr...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: telepathy-mission-control (Show other bugs)
20
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Robinson
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:a88373824b465fd39bf4a6e3caf...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-06 13:01 EST by igor.redhat@gmail.com
Modified: 2015-06-29 08:49 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 08:49:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (21.67 KB, text/plain)
2013-11-06 13:01 EST, igor.redhat@gmail.com
no flags Details
File: cgroup (158 bytes, text/plain)
2013-11-06 13:01 EST, igor.redhat@gmail.com
no flags Details
File: core_backtrace (20.18 KB, text/plain)
2013-11-06 13:01 EST, igor.redhat@gmail.com
no flags Details
File: dso_list (3.42 KB, text/plain)
2013-11-06 13:01 EST, igor.redhat@gmail.com
no flags Details
File: environ (1015 bytes, text/plain)
2013-11-06 13:01 EST, igor.redhat@gmail.com
no flags Details
File: exploitable (82 bytes, text/plain)
2013-11-06 13:01 EST, igor.redhat@gmail.com
no flags Details
File: limits (1.29 KB, text/plain)
2013-11-06 13:01 EST, igor.redhat@gmail.com
no flags Details
File: maps (17.52 KB, text/plain)
2013-11-06 13:01 EST, igor.redhat@gmail.com
no flags Details
File: open_fds (575 bytes, text/plain)
2013-11-06 13:01 EST, igor.redhat@gmail.com
no flags Details
File: proc_pid_status (911 bytes, text/plain)
2013-11-06 13:01 EST, igor.redhat@gmail.com
no flags Details
File: var_log_messages (1.82 KB, text/plain)
2013-11-06 13:01 EST, igor.redhat@gmail.com
no flags Details

  None (edit)
Description igor.redhat@gmail.com 2013-11-06 13:01:11 EST
Version-Release number of selected component:
telepathy-mission-control-5.16.0-2.fc20

Additional info:
reporter:       libreport-2.1.9
backtrace_rating: 4
cmdline:        /usr/libexec/mission-control-5
crash_function: g_slist_prepend
executable:     /usr/libexec/mission-control-5
kernel:         3.11.6-302.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            42

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 g_slist_prepend at gslist.c:268
 #1 g_once_init_enter at gthread.c:679
 #2 _mcd_handler_map_get_type at mcd-handler-map.c:34
 #3 _mcd_handler_map_new at mcd-handler-map.c:202
 #4 mcd_dispatcher_constructed at mcd-dispatcher.c:799
 #5 g_object_new_internal at gobject.c:1785
 #6 g_object_new_valist at gobject.c:2002
 #8 mcd_dispatcher_new at mcd-dispatcher.c:919
 #9 mcd_master_constructor at mcd-master.c:209
 #10 g_object_new_with_custom_constructor at gobject.c:1665
Comment 1 igor.redhat@gmail.com 2013-11-06 13:01:20 EST
Created attachment 820609 [details]
File: backtrace
Comment 2 igor.redhat@gmail.com 2013-11-06 13:01:26 EST
Created attachment 820610 [details]
File: cgroup
Comment 3 igor.redhat@gmail.com 2013-11-06 13:01:30 EST
Created attachment 820611 [details]
File: core_backtrace
Comment 4 igor.redhat@gmail.com 2013-11-06 13:01:33 EST
Created attachment 820612 [details]
File: dso_list
Comment 5 igor.redhat@gmail.com 2013-11-06 13:01:36 EST
Created attachment 820613 [details]
File: environ
Comment 6 igor.redhat@gmail.com 2013-11-06 13:01:39 EST
Created attachment 820614 [details]
File: exploitable
Comment 7 igor.redhat@gmail.com 2013-11-06 13:01:42 EST
Created attachment 820615 [details]
File: limits
Comment 8 igor.redhat@gmail.com 2013-11-06 13:01:46 EST
Created attachment 820616 [details]
File: maps
Comment 9 igor.redhat@gmail.com 2013-11-06 13:01:49 EST
Created attachment 820617 [details]
File: open_fds
Comment 10 igor.redhat@gmail.com 2013-11-06 13:01:52 EST
Created attachment 820618 [details]
File: proc_pid_status
Comment 11 igor.redhat@gmail.com 2013-11-06 13:01:55 EST
Created attachment 820619 [details]
File: var_log_messages
Comment 12 Alan Schmidt 2013-12-20 10:35:08 EST
Abrt tells me about this every day since updating to FC20 and refers me to this bug when I try to report it.

It's especially odd to me since I don't run any instant messengers--so although the impact of this error on me, personally, is quite low, I wonder if the fact it's running at all is itself maybe the problem?
Comment 13 Alan Schmidt 2013-12-29 18:44:23 EST
Anything I can do to help upgrade this problem from "New" (i.e.: Not sure if you're nuts or not) to "Confirmed" (i.e.: okay, you're not nuts)?
Comment 14 Frank Crawford 2014-01-03 07:20:30 EST
I'm also suffering the same thing on 5 out of 6 F20 systems I've set up.  On the those systems nothing is set up for accounts.  The one that isn't generating complaints does have some g-o-a accounts set up.

The biggest thing I've noticed is that it is trying to send DBus messages, which are getting rejected.  I've no idea why it happens when the system is first booted!
Comment 15 Frank Crawford 2014-01-04 07:24:56 EST
I may well have found why this is occurring, it is a permission error in /var/lib/gdm/.local, which I believe is caused by some upgrade in the past.   A simple fix is to do:

chown -R gdm:gdm /var/lib/gdm/.local

The specific issue is that gdm is starting mission-control as user gdm, which has a home directory of /var/lib/gdm.  At some point in the past an upgrade for GNOME move information from other directories (.gconf?) to .local, but was run as root and so .local is now owned by root.

When mission-control attempts to start, it does not find any of its configuration information, but when it attempts to create dummy files, it fails and aborts or crashes (someone can see if it handles errors properly).

Correcting the permission problem fixes the crash.

FYI, looking at dates and times, the conversion was probably from F14 -> F15, with the upgrade to Gnome3.

Now the big question, why is gdm starting mission-control and other non-essential items.  However, I'm going to log this issue under gdm.
Comment 16 Fedora End Of Life 2015-05-29 05:42:27 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 17 Fedora End Of Life 2015-06-29 08:49:56 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.